<?php
require_once '../Util/sessao.php';
require_once '../Util/Imagem.php';
require_once '../Util/Utilidades.php';
require_once '../Control/ControlContato.php';
ini_set('display_errors', 1);
if (!isset ($controlContato))
{
    $controlContato = new ControlContato();
    $contato = $controlContato->pegarUmContato(1);
}
    require_once '../Util/email/class.phpmailer.php';
    $contatoDepartamento = $controlContato->pegarUmContatodepartamento($_POST['txtContatodepartamentoID']);
$corpo = 'Mensagem enviado por ' . $_POST['txtNome'] . '<Br />';
$corpo .= 'Departamento: ' . $contatoDepartamento->gNome() . '<br />';
$corpo .= 'Assunto: ' . $_POST["txtAssunto"] . '<Br>';
$corpo .= 'E-mail: ' . $_POST["txtEmail"] . '<Br>';
$corpo .= '<br>Mensagem:<Br>' . $_POST["txtMensagem"];
$corpo .= '<Br>---------------------Fim da mensagem-----------------<Br>';
$mail = new PHPMailer();
if ($lang == 'en')
{
   $mailIdioma = 'en';
} else
{
    $mailIdioma = 'br';
}
$mail->SetLanguage($mailIdioma, "../Util/email/language/");
$mail->CharSet = "UTF-8";
$mail->IsSMTP();
$mail->Host = ControlSistema::$cfgLocal->getHost();
$mail->SMTPAuth = true;
$mail->Username = ControlSistema::$cfgLocal->getEmail();
$mail->Password = ControlSistema::$cfgLocal->getSenha();
$mail->From = ControlSistema::$cfgLocal->getEmail();;
$mail->FromName = 'Site do San Karlo Hotel';
$mail->AddAddress($contatoDepartamento->getEmail(),$contatoDepartamento->gNome());
$mail->Addcc('gerencia@sankarlohotel.com.br');
$mail->AddReplyTo($_POST["txtEmail"]);
$mail->WordWrap = 50;
$mail->IsHTML(true);
$mail->Subject = "Contato pelo Site - " . $_POST["txtAssunto"];
$mail->Body = $corpo;
if(!$mail->Send())
{
    $enviado = 0;
	$msg = "<br><br>" . Idiomas::getTexto('ErroMSG'). "<br>";
	$msg.= "Erro: " . $mail->ErrorInfo;
        $titulo = Idiomas::getTexto('Mensagem <b>não</b> enviada!');
} else
{
    $enviado = 1;
	$msg = "<br><br>" . Idiomas::getTexto('Caro') . " " .$_POST["txtNome"];
	$msg.= "<Br>" . Idiomas::getTexto('SucessoMSG');
        $titulo = Idiomas::getTexto('Mensagem enviada!');
}
echo $msg;
?>